EDIT - bug #3933

the search result list should contain bastards in alphabetical order
01/07/2014 09:29 AM - Katja Luther

Status: Duplicate Start date:

Priority: Priority13 Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version:

Severity: normal Found in Version:

Description

mail von Ralf:

Hat ein Bastard noch kein gultiges Binom, gebe ich die Bastardformel ein. So weit, so gut, aber bei den Search results landen all
diese Formelnamen immer noch ganz oben in der Liste. Bei Ophrys muss man sich erst durch einen Wust dieser wichtigen, aber
nicht prioritar wichtigen Namen blattern. Die Bastardformeln sollten nach Mdéglichkeit streng alphabetisch einsortiert werden, so dass
bei Ophrys oben auf der Liste "Ophrys" steht.

Related issues:

Related to EDIT - bug #5832: It is not possible to search for hybrids in taxo... New
Is duplicate of EDIT - bug #4796: Sorting of hybrids New
History

#1 - 01/07/2014 10:42 AM - Katja Luther

the order of search results is based on the atomised data, names with a bastard formula are not atomised therefore the fields are empty and they
occur at the beginning of the list.

#2 - 01/07/2014 01:24 PM - Andreas Miiller
Replying to k.luther:

the order of search results is based on the atomised data, names with a bastard formula are not atomised therefore the fields are empty and they
occur at the beginning of the list.

In case genus, specific epithet, rank and nameCache are all empty we should use the titleCache as final ordering field. Otherwise all unparsed names
will not be ordered correctly.

#3 - 07/02/2021 06:27 PM - Andreas Miiller

- Tags set to search, hybrid-taxa

- Description updated

- Assignee changed from Katja Luther to Andreas Miiller

- Target version changed from cdmlib - Old Next Major Release to Release 5.45

- Private changed from Yes to No

Need to check if this is still the case. If yes, try to implement correctly.

#4 - 07/02/2021 06:29 PM - Andreas Miiller
- Related to bug #5832: It is not possible to search for hybrids in taxon search added

#5 - 07/02/2021 06:31 PM - Andreas Miiller
- Is duplicate of bug #4796: Sorting of hybrids added

#6 - 07/02/2021 06:33 PM - Andreas Miiller
- Status changed from New to Duplicate

- Target version deleted (Release 5.45)
https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/Comment1

| close this as duplicate for #4796
